## org.mortbay.io
Class SimpleBuffers

    java.lang.Object
      org.mortbay.io.SimpleBuffers

All Implemented Interfaces:
  Buffers

    public class SimpleBuffers

extends Object
implements Buffers

SimpleBuffers. Simple implementation of Buffers holder.

Author:
  gregw

Constructor Summary
`SimpleBuffers(Buffer[] buffers)`

Method Summary
`Buffer` `getBuffer(int size)`
`void` `returnBuffer(Buffer buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBuffers

    public SimpleBuffers(Buffer[] buffers)

Method Detail

### getBuffer

    public Buffer getBuffer(int size)

  Specified by:
    `getBuffer` in interface `Buffers`

### returnBuffer

    public void returnBuffer(Buffer buffer)

  Specified by:
    `returnBuffer` in interface `Buffers`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.